
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.MODEL_INFO M
{
  .DESCRIPTION "Easy to fly - ideal as a first trainer model for the beginner.\Requires 3 channel radio to operate throttle, rudder and elevator."   //Description
  .DISPLAYED_SCALE_OF_FORCES 1.000000   //Displayed scale of forces
  .3D_MODEL_FILE "FlyBoy.osg"   //3D Model File
  .3D_MODEL_SCALE 1.000000   //3D Model Scale
  .3D_MODEL_OFFSET_POS 0.000000 0.000000 0.000000   //3D Model Offset X, Y, Z
  .SHADOW_TEXTURE_FILE "Sh_FlyBoy_128.bmp"   //Shadow Texture File
  .SHADOW_SCALE 1.200000   //Shadow Scale
  .SHADOW_OFFSET 0.000000 0.000000   //Shadow Position
  .MAX_INTEGRATION_STEP 0.005000   //Max Integration Step
  .INSTRUMENT_PANEL_FILE "InstrumentPanel.cfg"   //Instrument Panel Filename
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.GRAVITY GRAVITY
{
  .DESCRIPTION "Gravity"   //Description
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.DRAG DRAG
{
  .DESCRIPTION "Fuselage"   //Description
  .FRONTAL_DRAG_AREA 0.001000   //Frontal Drag Area (sq. m)
  .FRONTAL_DRAG_COEFFICIENT 0.040000   //Frontal Drag Coefficient
  .ANGULAR_DAMPING_LIN 0.000000   //Angular Damping Linear Coefficient
  .ANGULAR_DAMPING_SQ 0.000000   //Angular Damping Square Coefficient
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.ENGINE_PROP ENGINE_PROP17
{
  .DESCRIPTION ""   //Description
  .POSITION 0.000000 0.023200 -0.286700   //Position
  .HEADING 2.200000   //Azimuth of the thrust line (deg)
  .PITCH 0.000000   //Elevation of the thrust line in degrees
  .MAX_TORQUE 0.140000   //Torque at maximum gas
  .MASS 0.200000   //Mass
  .TOKEN_PROPELLER PROPELLER18   //Propeller
  .TOKEN_COLLISION_POINT CP_LEFT_WINGTIP   //Collision Point
  .TOKEN_SERVO SERVO_ENGINE   //Servo
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.WING3 TAIL_PLANE
{
  .DESCRIPTION ""   //Description
  .AIRFOIL "NACA0012.afl"   //Airfoil filename
  .SYMMETRICAL 0   //Symmetrical
  .HALF_SPAN 0.600000   //Half Span
  .ROOT_CHORD 0.150000   //Root Chord
  .TIP_CHORD 0.150000   //Tip Chord
  .EFFICIENCY 0.700000   //Efficiency
  .POSITION -0.300000 0.000000 0.723200   //Position
  .INCIDENCE 0.000000   //Incidence of wing.
  .SWEEP_ANGLE 0.000000   //Sweep Angle
  .DIHEDRAL 0.000000   //Dihedral
  .ROLL_ANGLE 0.000000   //Roll Angle
  .DENSITY_KG_PER_SQ_METER 0.800000   //Density (Kg/m^2)
  .NUMBER_OF_SEGMENTS 1   //Number of Segments
  .SEG0_CONTROL_CHORD_FRACTION 0.200000   //Segment 0: Control Chord Fraction
  .SEG0_MAX_DEFLECTION_ANGLE 30.000000   //Segment 0: Max Deflection Angle
  .SEG0_INCIDENCE_INC 0.700000   //Incidence of wing segment.
  .SEG0_DOF ELEV   //Segment 0: DOF
  .SEG0_DOF_SYMMETRICAL    //Segment 0: DOF of symmetrical side
  .SEG0_SERVO SERVO_ELEVATOR   //Segment 0: Servo
  .SEG0_SERVO_REV 0   //Segment 0: Servo Reverse
  .SEG0_SERVO_REV_SYMMETRICAL 0   //Segment 0: Servo Reverse of symmetrical side
  .SEG1_CONTROL_CHORD_FRACTION 0.000000   //Segment 1: Control Chord Fraction
  .SEG1_MAX_DEFLECTION_ANGLE 25.000000   //Segment 1: Max Deflection Angle
  .SEG1_INCIDENCE_INC 0.000000   //Incidence of wing segment.
  .SEG1_DOF    //Segment 1: DOF
  .SEG1_DOF_SYMMETRICAL    //Segment 1: DOF of symmetrical side
  .SEG1_SERVO SERVO_ELEVATOR   //Segment 1: Servo
  .SEG1_SERVO_REV 1   //Segment 1: Servo Reverse
  .SEG1_SERVO_REV_SYMMETRICAL 0   //Segment 1: Servo Reverse of symmetrical side
  .SEG2_CONTROL_CHORD_FRACTION 0.150000   //Segment 2: Control Chord Fraction
  .SEG2_MAX_DEFLECTION_ANGLE 20.000000   //Segment 2: Max Deflection Angle
  .SEG2_INCIDENCE_INC 0.000000   //Incidence of wing segment.
  .SEG2_DOF    //Segment 2: DOF
  .SEG2_DOF_SYMMETRICAL    //Segment 2: DOF of symmetrical side
  .SEG2_SERVO    //Segment 2: Servo
  .SEG2_SERVO_REV 1   //Segment 2: Servo Reverse
  .SEG2_SERVO_REV_SYMMETRICAL 0   //Segment 2: Servo Reverse of symmetrical side
  .SEG3_CONTROL_CHORD_FRACTION 0.150000   //Segment 3: Control Chord Fraction
  .SEG3_MAX_DEFLECTION_ANGLE 20.000000   //Segment 3: Max Deflection Angle
  .SEG3_INCIDENCE_INC 0.000000   //Incidence of wing segment.
  .SEG3_DOF    //Segment 3: DOF
  .SEG3_DOF_SYMMETRICAL    //Segment 3: DOF of symmetrical side
  .SEG3_SERVO    //Segment 3: Servo
  .SEG3_SERVO_REV 1   //Segment 3: Servo Reverse
  .SEG3_SERVO_REV_SYMMETRICAL 0   //Segment 3: Servo Reverse of symmetrical side
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.WING3 FIN
{
  .DESCRIPTION ""   //Description
  .AIRFOIL "NACA0012.afl"   //Airfoil filename
  .SYMMETRICAL 0   //Symmetrical
  .HALF_SPAN 0.200000   //Half Span
  .ROOT_CHORD 0.150000   //Root Chord
  .TIP_CHORD 0.150000   //Tip Chord
  .EFFICIENCY 0.700000   //Efficiency
  .POSITION 0.000000 0.005000 0.723200   //Position
  .INCIDENCE 0.000000   //Incidence of wing.
  .SWEEP_ANGLE 0.000000   //Sweep Angle
  .DIHEDRAL 0.000000   //Dihedral
  .ROLL_ANGLE 90.000000   //Roll Angle
  .DENSITY_KG_PER_SQ_METER 0.800000   //Density (Kg/m^2)
  .NUMBER_OF_SEGMENTS 1   //Number of Segments
  .SEG0_CONTROL_CHORD_FRACTION 0.250000   //Segment 0: Control Chord Fraction
  .SEG0_MAX_DEFLECTION_ANGLE 30.000000   //Segment 0: Max Deflection Angle
  .SEG0_INCIDENCE_INC 0.000000   //Incidence of wing segment.
  .SEG0_DOF RUDDER   //Segment 0: DOF
  .SEG0_DOF_SYMMETRICAL    //Segment 0: DOF of symmetrical side
  .SEG0_SERVO SERVO_RUDDER   //Segment 0: Servo
  .SEG0_SERVO_REV 0   //Segment 0: Servo Reverse
  .SEG0_SERVO_REV_SYMMETRICAL 0   //Segment 0: Servo Reverse of symmetrical side
  .SEG1_CONTROL_CHORD_FRACTION 0.150000   //Segment 1: Control Chord Fraction
  .SEG1_MAX_DEFLECTION_ANGLE 28.000000   //Segment 1: Max Deflection Angle
  .SEG1_INCIDENCE_INC 0.000000   //Incidence of wing segment.
  .SEG1_DOF RUDDER   //Segment 1: DOF
  .SEG1_DOF_SYMMETRICAL    //Segment 1: DOF of symmetrical side
  .SEG1_SERVO SERVO_ENGINE   //Segment 1: Servo
  .SEG1_SERVO_REV 1   //Segment 1: Servo Reverse
  .SEG1_SERVO_REV_SYMMETRICAL 0   //Segment 1: Servo Reverse of symmetrical side
  .SEG2_CONTROL_CHORD_FRACTION 0.150000   //Segment 2: Control Chord Fraction
  .SEG2_MAX_DEFLECTION_ANGLE 20.000000   //Segment 2: Max Deflection Angle
  .SEG2_INCIDENCE_INC 0.000000   //Incidence of wing segment.
  .SEG2_DOF    //Segment 2: DOF
  .SEG2_DOF_SYMMETRICAL    //Segment 2: DOF of symmetrical side
  .SEG2_SERVO SERVO_ENGINE   //Segment 2: Servo
  .SEG2_SERVO_REV 1   //Segment 2: Servo Reverse
  .SEG2_SERVO_REV_SYMMETRICAL 0   //Segment 2: Servo Reverse of symmetrical side
  .SEG3_CONTROL_CHORD_FRACTION 0.150000   //Segment 3: Control Chord Fraction
  .SEG3_MAX_DEFLECTION_ANGLE 20.000000   //Segment 3: Max Deflection Angle
  .SEG3_INCIDENCE_INC 0.000000   //Incidence of wing segment.
  .SEG3_DOF    //Segment 3: DOF
  .SEG3_DOF_SYMMETRICAL    //Segment 3: DOF of symmetrical side
  .SEG3_SERVO SERVO_ENGINE   //Segment 3: Servo
  .SEG3_SERVO_REV 1   //Segment 3: Servo Reverse
  .SEG3_SERVO_REV_SYMMETRICAL 0   //Segment 3: Servo Reverse of symmetrical side
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.WING3 MAIN_WING
{
  .DESCRIPTION ""   //Description
  .AIRFOIL "NACA0012.afl"   //Airfoil filename
  .SYMMETRICAL 1   //Symmetrical
  .HALF_SPAN 0.600000   //Half Span
  .ROOT_CHORD 0.210000   //Root Chord
  .TIP_CHORD 0.210000   //Tip Chord
  .EFFICIENCY 0.800000   //Efficiency
  .POSITION 0.000000 0.124800 -0.120800   //Position
  .INCIDENCE 4.000000   //Incidence of wing.
  .SWEEP_ANGLE 0.000000   //Sweep Angle
  .DIHEDRAL 8.000000   //Dihedral
  .ROLL_ANGLE 0.000000   //Roll Angle
  .DENSITY_KG_PER_SQ_METER 0.800000   //Density (Kg/m^2)
  .NUMBER_OF_SEGMENTS 1   //Number of Segments
  .SEG0_CONTROL_CHORD_FRACTION 0.000000   //Segment 0: Control Chord Fraction
  .SEG0_MAX_DEFLECTION_ANGLE 0.000000   //Segment 0: Max Deflection Angle
  .SEG0_INCIDENCE_INC 0.000000   //Incidence of wing segment.
  .SEG0_DOF    //Segment 0: DOF
  .SEG0_DOF_SYMMETRICAL    //Segment 0: DOF of symmetrical side
  .SEG0_SERVO SERVO_ENGINE   //Segment 0: Servo
  .SEG0_SERVO_REV 1   //Segment 0: Servo Reverse
  .SEG0_SERVO_REV_SYMMETRICAL 0   //Segment 0: Servo Reverse of symmetrical side
  .SEG1_CONTROL_CHORD_FRACTION 0.000000   //Segment 1: Control Chord Fraction
  .SEG1_MAX_DEFLECTION_ANGLE 0.000000   //Segment 1: Max Deflection Angle
  .SEG1_INCIDENCE_INC 0.000000   //Incidence of wing segment.
  .SEG1_DOF    //Segment 1: DOF
  .SEG1_DOF_SYMMETRICAL    //Segment 1: DOF of symmetrical side
  .SEG1_SERVO SERVO_ENGINE   //Segment 1: Servo
  .SEG1_SERVO_REV 1   //Segment 1: Servo Reverse
  .SEG1_SERVO_REV_SYMMETRICAL 0   //Segment 1: Servo Reverse of symmetrical side
  .SEG2_CONTROL_CHORD_FRACTION 0.000000   //Segment 2: Control Chord Fraction
  .SEG2_MAX_DEFLECTION_ANGLE 0.000000   //Segment 2: Max Deflection Angle
  .SEG2_INCIDENCE_INC 0.000000   //Incidence of wing segment.
  .SEG2_DOF    //Segment 2: DOF
  .SEG2_DOF_SYMMETRICAL    //Segment 2: DOF of symmetrical side
  .SEG2_SERVO SERVO_ENGINE   //Segment 2: Servo
  .SEG2_SERVO_REV 1   //Segment 2: Servo Reverse
  .SEG2_SERVO_REV_SYMMETRICAL 0   //Segment 2: Servo Reverse of symmetrical side
  .SEG3_CONTROL_CHORD_FRACTION 0.150000   //Segment 3: Control Chord Fraction
  .SEG3_MAX_DEFLECTION_ANGLE 20.000000   //Segment 3: Max Deflection Angle
  .SEG3_INCIDENCE_INC 0.000000   //Incidence of wing segment.
  .SEG3_DOF    //Segment 3: DOF
  .SEG3_DOF_SYMMETRICAL    //Segment 3: DOF of symmetrical side
  .SEG3_SERVO SERVO_ENGINE   //Segment 3: Servo
  .SEG3_SERVO_REV 1   //Segment 3: Servo Reverse
  .SEG3_SERVO_REV_SYMMETRICAL 0   //Segment 3: Servo Reverse of symmetrical side
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.WING3 FUSELAGE
{
  .DESCRIPTION ""   //Description
  .AIRFOIL "NACA0012.afl"   //Airfoil filename
  .SYMMETRICAL 0   //Symmetrical
  .HALF_SPAN 0.300000   //Half Span
  .ROOT_CHORD 0.100000   //Root Chord
  .TIP_CHORD 0.100000   //Tip Chord
  .EFFICIENCY 0.700000   //Efficiency
  .POSITION 0.000000 -0.092800 -0.105404   //Position
  .INCIDENCE 0.000000   //Incidence of wing.
  .SWEEP_ANGLE 0.000000   //Sweep Angle
  .DIHEDRAL 0.000000   //Dihedral
  .ROLL_ANGLE 90.000000   //Roll Angle
  .DENSITY_KG_PER_SQ_METER 0.000000   //Density (Kg/m^2)
  .NUMBER_OF_SEGMENTS 1   //Number of Segments
  .SEG0_CONTROL_CHORD_FRACTION 0.000000   //Segment 0: Control Chord Fraction
  .SEG0_MAX_DEFLECTION_ANGLE 0.000000   //Segment 0: Max Deflection Angle
  .SEG0_INCIDENCE_INC 0.000000   //Incidence of wing segment.
  .SEG0_DOF    //Segment 0: DOF
  .SEG0_DOF_SYMMETRICAL    //Segment 0: DOF of symmetrical side
  .SEG0_SERVO SERVO_ENGINE   //Segment 0: Servo
  .SEG0_SERVO_REV 0   //Segment 0: Servo Reverse
  .SEG0_SERVO_REV_SYMMETRICAL 0   //Segment 0: Servo Reverse of symmetrical side
  .SEG1_CONTROL_CHORD_FRACTION 0.000000   //Segment 1: Control Chord Fraction
  .SEG1_MAX_DEFLECTION_ANGLE 0.000000   //Segment 1: Max Deflection Angle
  .SEG1_INCIDENCE_INC 0.000000   //Incidence of wing segment.
  .SEG1_DOF    //Segment 1: DOF
  .SEG1_DOF_SYMMETRICAL    //Segment 1: DOF of symmetrical side
  .SEG1_SERVO SERVO_ENGINE   //Segment 1: Servo
  .SEG1_SERVO_REV 1   //Segment 1: Servo Reverse
  .SEG1_SERVO_REV_SYMMETRICAL 0   //Segment 1: Servo Reverse of symmetrical side
  .SEG2_CONTROL_CHORD_FRACTION 0.150000   //Segment 2: Control Chord Fraction
  .SEG2_MAX_DEFLECTION_ANGLE 20.000000   //Segment 2: Max Deflection Angle
  .SEG2_INCIDENCE_INC 0.000000   //Incidence of wing segment.
  .SEG2_DOF    //Segment 2: DOF
  .SEG2_DOF_SYMMETRICAL    //Segment 2: DOF of symmetrical side
  .SEG2_SERVO SERVO_ENGINE   //Segment 2: Servo
  .SEG2_SERVO_REV 1   //Segment 2: Servo Reverse
  .SEG2_SERVO_REV_SYMMETRICAL 0   //Segment 2: Servo Reverse of symmetrical side
  .SEG3_CONTROL_CHORD_FRACTION 0.150000   //Segment 3: Control Chord Fraction
  .SEG3_MAX_DEFLECTION_ANGLE 20.000000   //Segment 3: Max Deflection Angle
  .SEG3_INCIDENCE_INC 0.000000   //Incidence of wing segment.
  .SEG3_DOF    //Segment 3: DOF
  .SEG3_DOF_SYMMETRICAL    //Segment 3: DOF of symmetrical side
  .SEG3_SERVO SERVO_ENGINE   //Segment 3: Servo
  .SEG3_SERVO_REV 1   //Segment 3: Servo Reverse
  .SEG3_SERVO_REV_SYMMETRICAL 0   //Segment 3: Servo Reverse of symmetrical side
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.SERVO SERVO_ENGINE
{
  .DESCRIPTION "Servo connected to the Engine Throttle"   //Description
  .VARIABLE V_CH3   //Control Variable
  .POSITION 0.000000 -0.010000 -0.100791   //Position
  .MASS 0.043000   //Servo mass (Kg)
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.SERVO SERVO_RUDDER
{
  .DESCRIPTION "Servo connected to the rudder"   //Description
  .VARIABLE V_CH1   //Control Variable
  .POSITION 0.000000 -0.010000 -0.017989   //Position
  .MASS 0.043000   //Servo mass (Kg)
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.SERVO SERVO_ELEVATOR
{
  .DESCRIPTION "Servo connected to the elevator"   //Description
  .VARIABLE V_CH2   //Control Variable
  .POSITION 0.000000 -0.010000 -0.010192   //Position
  .MASS 0.043000   //Servo mass (Kg)
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.SERVO SERVO21
{
  .DESCRIPTION ""   //Description
  .VARIABLE    //Control Variable
  .POSITION 0.000000 0.000000 0.000000   //Position
  .MASS 0.044000   //Servo mass (Kg)
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.PROPELLER PROPELLER18
{
  .DESCRIPTION ""   //Description
  .NUMBER_OF_BLADES 2   //Number of blades in the propeller
  .DIAMETER 0.220000   //Diameter of propeller in meters
  .PITCH 0.147000   //Pitch of propeller in meters
  .CHORD_TO_DIAMETER_RATIO 0.075000   //Chord to diameter ratio (typically 0.075)
  .AIRFOIL "NACA0012.afl"   //Airfoil filename
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.WHEEL WHEEL_LEFT
{
  .DESCRIPTION "Left Wheel"   //Description
  .POSITION -0.200000 -0.170000 -0.100000   //Position
  .AXIS 1.000000 0.000000 0.000000   //Direction
  .DIAMETER 0.070000   //Diameter
  .WIDTH 0.020000   //Width
  .REST_LENGTH 0.000000   //Rest Length
  .SPRINGINESS 500.000000   //Springiness
  .DYNAMIC_FRICTION 0.075000   //Dynamic Friction
  .STATIC_FRICTION 0.750000   //Static Friction
  .DAMPING 0.320000   //Damping
  .MASS 0.020000   //Mass
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.WHEEL WHEEL_RIGHT
{
  .DESCRIPTION "Right Wheel"   //Description
  .POSITION 0.200000 -0.170000 -0.100000   //Position
  .AXIS 1.000000 0.000000 0.000000   //Direction
  .DIAMETER 0.070000   //Diameter
  .WIDTH 0.020000   //Width
  .REST_LENGTH 0.000000   //Rest Length
  .SPRINGINESS 500.000000   //Springiness
  .DYNAMIC_FRICTION 0.075000   //Dynamic Friction
  .STATIC_FRICTION 0.750000   //Static Friction
  .DAMPING 0.320000   //Damping
  .MASS 0.020000   //Mass
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.WHEEL WHEEL_TAIL
{
  .DESCRIPTION "Tail Wheel"   //Description
  .POSITION 0.000000 0.000000 0.630000   //Position
  .AXIS 1.000000 0.000000 0.000000   //Direction
  .DIAMETER 0.050000   //Diameter
  .WIDTH 0.018000   //Width
  .REST_LENGTH 0.000000   //Rest Length
  .SPRINGINESS 500.000000   //Springiness
  .DYNAMIC_FRICTION 0.075000   //Dynamic Friction
  .STATIC_FRICTION 0.750000   //Static Friction
  .DAMPING 0.320000   //Damping
  .MASS 0.020000   //Mass
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.COLLISION_POINT CP_LEFT_WINGTIP
{
  .POSITION -0.700000 0.160000 0.000000   //Position
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.COLLISION_POINT CP_RIGHT_WINGTIP
{
  .POSITION 0.700000 0.160000 0.000000   //Position
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.COLLISION_POINT CP_PROPELLER
{
  .POSITION 0.000000 -0.030000 -0.300000   //Position
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.BATTERY BATTERY18
{
  .DESCRIPTION ""   //Description
  .POSITION 0.000000 -0.010000 -0.017005   //Position
  .MASS 0.100000   //Mass
  .CAPACITY 0.650000   //Capacity (Ah)
  .NUM_CELLS 4   //Number of Cells
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.BATTERY FUSELAGE_WEIGHT
{
  .DESCRIPTION "Weight from fuselage"   //Description
  .POSITION 0.000000 0.009290 -0.106838   //Position
  .MASS 0.200000   //Mass
  .CAPACITY 0.650000   //Capacity (Ah)
  .NUM_CELLS 4   //Number of Cells
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.FUEL_TANK FUEL_TANK19
{
  .DESCRIPTION ""   //Description
  .POSITION 0.000000 0.000829 -0.201037   //Position
  .MASS_WHEN_EMPTY 0.030000   //Mass when empty
  .CAPACITY 0.100000   //Capacity (litres)
}
