
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.MODEL_INFO M
{
  .DESCRIPTION "Trainer with Wing3.\Requires 4 channel radio to operate throttle, aileron, rudder and elevator."   //Description
  .DISPLAYED_SCALE_OF_FORCES 0.100000   //Displayed scale of forces
  .3D_MODEL_FILE "XTreme.osg"   //3D Model File
  .3D_MODEL_SCALE 0.010000   //3D Model Scale
  .3D_MODEL_OFFSET_POS 0.000000 0.130000 -0.430000   //3D Model Offset X, Y, Z
  .SHADOW_TEXTURE_FILE "XTremeSh.bmp"   //Shadow Texture File
  .SHADOW_SCALE 1.450000   //Shadow Scale
  .SHADOW_OFFSET 0.000000 0.280000   //Shadow Position
  .MAX_INTEGRATION_STEP 0.002500   //Max Integration Step
  .INSTRUMENT_PANEL_FILE "InstrumentPanel.cfg"   //Instrument Panel Filename
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.GRAVITY GRAVITY
{
  .DESCRIPTION ""   //Description
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.DRAG DRAG
{
  .DESCRIPTION ""   //Description
  .FRONTAL_DRAG_AREA 0.010000   //Frontal Drag Area (sq. m)
  .FRONTAL_DRAG_COEFFICIENT 0.040000   //Frontal Drag Coefficient
  .ANGULAR_DAMPING_LIN 0.000000   //Angular Damping Linear Coefficient
  .ANGULAR_DAMPING_SQ 0.000000   //Angular Damping Square Coefficient
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.SERVO SERVO_AILERON_L
{
  .DESCRIPTION ""   //Description
  .VARIABLE V_CH1   //Control Variable
  .POSITION 0.300000 0.060000 -0.060000   //Position
  .MASS 0.044000   //Servo mass (Kg)
  .SPEED 0.250000   //Speed sec/60deg
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.SERVO SERVO_RUDDER
{
  .DESCRIPTION ""   //Description
  .VARIABLE V_CH4   //Control Variable
  .POSITION 0.000000 0.080000 0.065100   //Position
  .MASS 0.044000   //Servo mass (Kg)
  .SPEED 0.250000   //Speed sec/60deg
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.SERVO SERVO_ELEVATOR
{
  .DESCRIPTION ""   //Description
  .VARIABLE V_CH2   //Control Variable
  .POSITION 0.000000 0.110000 0.617116   //Position
  .MASS 0.044000   //Servo mass (Kg)
  .SPEED 0.250000   //Speed sec/60deg
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.SERVO SERVO_THRUST
{
  .DESCRIPTION ""   //Description
  .VARIABLE V_CH3   //Control Variable
  .POSITION 0.000000 0.080000 -0.010000   //Position
  .MASS 0.044000   //Servo mass (Kg)
  .SPEED 0.250000   //Speed sec/60deg
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.SERVO SERVO_AILERON_R
{
  .DESCRIPTION ""   //Description
  .VARIABLE V_CH1   //Control Variable
  .POSITION -0.300000 0.060000 -0.060000   //Position
  .MASS 0.044000   //Servo mass (Kg)
  .SPEED 0.250000   //Speed sec/60deg
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.ENGINE_PROP ENGINE_PROP21
{
  .DESCRIPTION ""   //Description
  .POSITION 0.000000 0.107000 -0.322200   //Position
  .HEADING 1.000000   //Azimuth of the thrust line (deg)
  .PITCH -1.000000   //Elevation of the thrust line in degrees
  .MAX_TORQUE 0.400000   //Torque at maximum gas
  .MASS 0.400000   //Mass
  .TOKEN_PROPELLER PROPELLER22   //Propeller
  .TOKEN_COLLISION_POINT CP_PROPELLER   //Collision Point
  .TOKEN_SERVO SERVO_THRUST   //Servo
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.WING3 MAIN_WING
{
  .DESCRIPTION ""   //Description
  .AIRFOIL "NACA0012.afl"   //Airfoil filename
  .SYMMETRICAL 1   //Symmetrical
  .HALF_SPAN 0.700000   //Half Span
  .ROOT_CHORD 0.425000   //Root Chord
  .TIP_CHORD 0.350000   //Tip Chord
  .EFFICIENCY 0.700000   //Efficiency
  .POSITION 0.000000 0.064000 -0.170000   //Position
  .INCIDENCE 1.000000   //Incidence of wing.
  .SWEEP_ANGLE 0.000000   //Sweep Angle
  .DIHEDRAL 0.000000   //Dihedral
  .ROLL_ANGLE 0.000000   //Roll Angle
  .DENSITY_KG_PER_SQ_METER 1.000000   //Density (Kg/m^2)
  .NUMBER_OF_SEGMENTS 4   //Number of Segments
  .SEG0_CONTROL_CHORD_FRACTION 0.300000   //Segment 0: Control Chord Fraction
  .SEG0_MAX_DEFLECTION_ANGLE 30.000000   //Segment 0: Max Deflection Angle
  .SEG0_INCIDENCE_INC 0.000000   //Incidence of wing segment.
  .SEG0_DOF    //Segment 0: DOF
  .SEG0_DOF_SYMMETRICAL    //Segment 0: DOF of symmetrical side
  .SEG0_SERVO SERVO_AILERON_L   //Segment 0: Servo
  .SEG0_SERVO_REV 1   //Segment 0: Servo Reverse
  .SEG0_SERVO_SYMMETRICAL SERVO_AILERON_R   //Segment 0: Servo for symmetrical side
  .SEG0_SERVO_REV_SYMMETRICAL 0   //Segment 0: Servo Reverse of symmetrical side
  .SEG1_CONTROL_CHORD_FRACTION 0.270000   //Segment 1: Control Chord Fraction
  .SEG1_MAX_DEFLECTION_ANGLE 30.000000   //Segment 1: Max Deflection Angle
  .SEG1_INCIDENCE_INC 0.000000   //Incidence of wing segment.
  .SEG1_DOF AIL_R   //Segment 1: DOF
  .SEG1_DOF_SYMMETRICAL AIL_L   //Segment 1: DOF of symmetrical side
  .SEG1_SERVO SERVO_AILERON_L   //Segment 1: Servo
  .SEG1_SERVO_REV 1   //Segment 1: Servo Reverse
  .SEG1_SERVO_SYMMETRICAL SERVO_AILERON_R   //Segment 1: Servo for symmetrical side
  .SEG1_SERVO_REV_SYMMETRICAL 0   //Segment 1: Servo Reverse of symmetrical side
  .SEG2_CONTROL_CHORD_FRACTION 0.235000   //Segment 2: Control Chord Fraction
  .SEG2_MAX_DEFLECTION_ANGLE 30.000000   //Segment 2: Max Deflection Angle
  .SEG2_INCIDENCE_INC 0.000000   //Incidence of wing segment.
  .SEG2_DOF    //Segment 2: DOF
  .SEG2_DOF_SYMMETRICAL    //Segment 2: DOF of symmetrical side
  .SEG2_SERVO SERVO_AILERON_L   //Segment 2: Servo
  .SEG2_SERVO_REV 1   //Segment 2: Servo Reverse
  .SEG2_SERVO_SYMMETRICAL SERVO_AILERON_R   //Segment 2: Servo for symmetrical side
  .SEG2_SERVO_REV_SYMMETRICAL 0   //Segment 2: Servo Reverse of symmetrical side
  .SEG3_CONTROL_CHORD_FRACTION 0.200000   //Segment 3: Control Chord Fraction
  .SEG3_MAX_DEFLECTION_ANGLE 30.000000   //Segment 3: Max Deflection Angle
  .SEG3_INCIDENCE_INC 0.000000   //Incidence of wing segment.
  .SEG3_DOF    //Segment 3: DOF
  .SEG3_DOF_SYMMETRICAL    //Segment 3: DOF of symmetrical side
  .SEG3_SERVO SERVO_AILERON_L   //Segment 3: Servo
  .SEG3_SERVO_REV 1   //Segment 3: Servo Reverse
  .SEG3_SERVO_SYMMETRICAL SERVO_AILERON_R   //Segment 3: Servo for symmetrical side
  .SEG3_SERVO_REV_SYMMETRICAL 0   //Segment 3: Servo Reverse of symmetrical side
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.WING3 TAIL_PLANE
{
  .DESCRIPTION ""   //Description
  .AIRFOIL "NACA0012.afl"   //Airfoil filename
  .SYMMETRICAL 0   //Symmetrical
  .HALF_SPAN 0.560000   //Half Span
  .ROOT_CHORD 0.180000   //Root Chord
  .TIP_CHORD 0.180000   //Tip Chord
  .EFFICIENCY 0.700000   //Efficiency
  .POSITION -0.280000 0.153200 0.705100   //Position
  .INCIDENCE 0.000000   //Incidence of wing.
  .SWEEP_ANGLE 0.000000   //Sweep Angle
  .DIHEDRAL 0.000000   //Dihedral
  .ROLL_ANGLE 0.000000   //Roll Angle
  .DENSITY_KG_PER_SQ_METER 0.500000   //Density (Kg/m^2)
  .NUMBER_OF_SEGMENTS 1   //Number of Segments
  .SEG0_CONTROL_CHORD_FRACTION 0.500000   //Segment 0: Control Chord Fraction
  .SEG0_MAX_DEFLECTION_ANGLE 30.000000   //Segment 0: Max Deflection Angle
  .SEG0_INCIDENCE_INC -0.600000   //Incidence of wing segment.
  .SEG0_DOF ELEV   //Segment 0: DOF
  .SEG0_DOF_SYMMETRICAL    //Segment 0: DOF of symmetrical side
  .SEG0_SERVO SERVO_ELEVATOR   //Segment 0: Servo
  .SEG0_SERVO_REV 0   //Segment 0: Servo Reverse
  .SEG0_SERVO_SYMMETRICAL    //Segment 0: Servo for symmetrical side
  .SEG0_SERVO_REV_SYMMETRICAL 0   //Segment 0: Servo Reverse of symmetrical side
  .SEG1_CONTROL_CHORD_FRACTION 0.000000   //Segment 1: Control Chord Fraction
  .SEG1_MAX_DEFLECTION_ANGLE 0.000000   //Segment 1: Max Deflection Angle
  .SEG1_INCIDENCE_INC 0.000000   //Incidence of wing segment.
  .SEG1_DOF    //Segment 1: DOF
  .SEG1_DOF_SYMMETRICAL    //Segment 1: DOF of symmetrical side
  .SEG1_SERVO SERVO_AILERON_L   //Segment 1: Servo
  .SEG1_SERVO_REV 0   //Segment 1: Servo Reverse
  .SEG1_SERVO_SYMMETRICAL    //Segment 1: Servo for symmetrical side
  .SEG1_SERVO_REV_SYMMETRICAL 0   //Segment 1: Servo Reverse of symmetrical side
  .SEG2_CONTROL_CHORD_FRACTION 0.000000   //Segment 2: Control Chord Fraction
  .SEG2_MAX_DEFLECTION_ANGLE 0.000000   //Segment 2: Max Deflection Angle
  .SEG2_INCIDENCE_INC 0.000000   //Incidence of wing segment.
  .SEG2_DOF    //Segment 2: DOF
  .SEG2_DOF_SYMMETRICAL    //Segment 2: DOF of symmetrical side
  .SEG2_SERVO SERVO_AILERON_L   //Segment 2: Servo
  .SEG2_SERVO_REV 0   //Segment 2: Servo Reverse
  .SEG2_SERVO_SYMMETRICAL    //Segment 2: Servo for symmetrical side
  .SEG2_SERVO_REV_SYMMETRICAL 0   //Segment 2: Servo Reverse of symmetrical side
  .SEG3_CONTROL_CHORD_FRACTION 0.000000   //Segment 3: Control Chord Fraction
  .SEG3_MAX_DEFLECTION_ANGLE 0.000000   //Segment 3: Max Deflection Angle
  .SEG3_INCIDENCE_INC 0.000000   //Incidence of wing segment.
  .SEG3_DOF    //Segment 3: DOF
  .SEG3_DOF_SYMMETRICAL    //Segment 3: DOF of symmetrical side
  .SEG3_SERVO SERVO_AILERON_L   //Segment 3: Servo
  .SEG3_SERVO_REV 0   //Segment 3: Servo Reverse
  .SEG3_SERVO_SYMMETRICAL    //Segment 3: Servo for symmetrical side
  .SEG3_SERVO_REV_SYMMETRICAL 0   //Segment 3: Servo Reverse of symmetrical side
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.WING3 FIN
{
  .DESCRIPTION ""   //Description
  .AIRFOIL "NACA0012.afl"   //Airfoil filename
  .SYMMETRICAL 0   //Symmetrical
  .HALF_SPAN 0.300000   //Half Span
  .ROOT_CHORD 0.250000   //Root Chord
  .TIP_CHORD 0.150000   //Tip Chord
  .EFFICIENCY 0.700000   //Efficiency
  .POSITION 0.000000 0.080000 0.728300   //Position
  .INCIDENCE 0.000000   //Incidence of wing.
  .SWEEP_ANGLE 8.900000   //Sweep Angle
  .DIHEDRAL 0.000000   //Dihedral
  .ROLL_ANGLE 90.000000   //Roll Angle
  .DENSITY_KG_PER_SQ_METER 0.500000   //Density (Kg/m^2)
  .NUMBER_OF_SEGMENTS 2   //Number of Segments
  .SEG0_CONTROL_CHORD_FRACTION 0.500000   //Segment 0: Control Chord Fraction
  .SEG0_MAX_DEFLECTION_ANGLE 30.000000   //Segment 0: Max Deflection Angle
  .SEG0_INCIDENCE_INC 0.000000   //Incidence of wing segment.
  .SEG0_DOF RUDDER   //Segment 0: DOF
  .SEG0_DOF_SYMMETRICAL    //Segment 0: DOF of symmetrical side
  .SEG0_SERVO SERVO_RUDDER   //Segment 0: Servo
  .SEG0_SERVO_REV 0   //Segment 0: Servo Reverse
  .SEG0_SERVO_SYMMETRICAL    //Segment 0: Servo for symmetrical side
  .SEG0_SERVO_REV_SYMMETRICAL 0   //Segment 0: Servo Reverse of symmetrical side
  .SEG1_CONTROL_CHORD_FRACTION 0.500000   //Segment 1: Control Chord Fraction
  .SEG1_MAX_DEFLECTION_ANGLE 30.000000   //Segment 1: Max Deflection Angle
  .SEG1_INCIDENCE_INC 0.000000   //Incidence of wing segment.
  .SEG1_DOF    //Segment 1: DOF
  .SEG1_DOF_SYMMETRICAL    //Segment 1: DOF of symmetrical side
  .SEG1_SERVO SERVO_RUDDER   //Segment 1: Servo
  .SEG1_SERVO_REV 0   //Segment 1: Servo Reverse
  .SEG1_SERVO_SYMMETRICAL    //Segment 1: Servo for symmetrical side
  .SEG1_SERVO_REV_SYMMETRICAL 0   //Segment 1: Servo Reverse of symmetrical side
  .SEG2_CONTROL_CHORD_FRACTION 0.200000   //Segment 2: Control Chord Fraction
  .SEG2_MAX_DEFLECTION_ANGLE 0.000000   //Segment 2: Max Deflection Angle
  .SEG2_INCIDENCE_INC 0.000000   //Incidence of wing segment.
  .SEG2_DOF    //Segment 2: DOF
  .SEG2_DOF_SYMMETRICAL    //Segment 2: DOF of symmetrical side
  .SEG2_SERVO SERVO_RUDDER   //Segment 2: Servo
  .SEG2_SERVO_REV 0   //Segment 2: Servo Reverse
  .SEG2_SERVO_SYMMETRICAL    //Segment 2: Servo for symmetrical side
  .SEG2_SERVO_REV_SYMMETRICAL 0   //Segment 2: Servo Reverse of symmetrical side
  .SEG3_CONTROL_CHORD_FRACTION 0.150000   //Segment 3: Control Chord Fraction
  .SEG3_MAX_DEFLECTION_ANGLE 20.000000   //Segment 3: Max Deflection Angle
  .SEG3_INCIDENCE_INC 0.000000   //Incidence of wing segment.
  .SEG3_DOF    //Segment 3: DOF
  .SEG3_DOF_SYMMETRICAL    //Segment 3: DOF of symmetrical side
  .SEG3_SERVO SERVO_RUDDER   //Segment 3: Servo
  .SEG3_SERVO_REV 0   //Segment 3: Servo Reverse
  .SEG3_SERVO_SYMMETRICAL    //Segment 3: Servo for symmetrical side
  .SEG3_SERVO_REV_SYMMETRICAL 0   //Segment 3: Servo Reverse of symmetrical side
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.WING3 FUSELAGE_HORZ
{
  .DESCRIPTION "Fuselage lift is achieved with this wing. This enables knife edge."   //Description
  .AIRFOIL "NACA0012.afl"   //Airfoil filename
  .SYMMETRICAL 0   //Symmetrical
  .HALF_SPAN 0.650000   //Half Span
  .ROOT_CHORD 0.200000   //Root Chord
  .TIP_CHORD 0.200000   //Tip Chord
  .EFFICIENCY 0.700000   //Efficiency
  .POSITION 0.000000 -0.250000 -0.100000   //Position
  .INCIDENCE 0.000000   //Incidence of wing.
  .SWEEP_ANGLE 0.000000   //Sweep Angle
  .DIHEDRAL 0.000000   //Dihedral
  .ROLL_ANGLE 90.000000   //Roll Angle
  .DENSITY_KG_PER_SQ_METER 0.000000   //Density (Kg/m^2)
  .NUMBER_OF_SEGMENTS 1   //Number of Segments
  .SEG0_CONTROL_CHORD_FRACTION 0.000000   //Segment 0: Control Chord Fraction
  .SEG0_MAX_DEFLECTION_ANGLE 0.000000   //Segment 0: Max Deflection Angle
  .SEG0_INCIDENCE_INC 0.000000   //Incidence of wing segment.
  .SEG0_DOF    //Segment 0: DOF
  .SEG0_DOF_SYMMETRICAL    //Segment 0: DOF of symmetrical side
  .SEG0_SERVO SERVO_AILERON_L   //Segment 0: Servo
  .SEG0_SERVO_REV 1   //Segment 0: Servo Reverse
  .SEG0_SERVO_SYMMETRICAL    //Segment 0: Servo for symmetrical side
  .SEG0_SERVO_REV_SYMMETRICAL 0   //Segment 0: Servo Reverse of symmetrical side
  .SEG1_CONTROL_CHORD_FRACTION 0.000000   //Segment 1: Control Chord Fraction
  .SEG1_MAX_DEFLECTION_ANGLE 0.000000   //Segment 1: Max Deflection Angle
  .SEG1_INCIDENCE_INC 0.800000   //Incidence of wing segment.
  .SEG1_DOF    //Segment 1: DOF
  .SEG1_DOF_SYMMETRICAL    //Segment 1: DOF of symmetrical side
  .SEG1_SERVO SERVO_AILERON_L   //Segment 1: Servo
  .SEG1_SERVO_REV 1   //Segment 1: Servo Reverse
  .SEG1_SERVO_SYMMETRICAL    //Segment 1: Servo for symmetrical side
  .SEG1_SERVO_REV_SYMMETRICAL 0   //Segment 1: Servo Reverse of symmetrical side
  .SEG2_CONTROL_CHORD_FRACTION 0.150000   //Segment 2: Control Chord Fraction
  .SEG2_MAX_DEFLECTION_ANGLE 20.000000   //Segment 2: Max Deflection Angle
  .SEG2_INCIDENCE_INC 0.800000   //Incidence of wing segment.
  .SEG2_DOF    //Segment 2: DOF
  .SEG2_DOF_SYMMETRICAL    //Segment 2: DOF of symmetrical side
  .SEG2_SERVO SERVO_AILERON_L   //Segment 2: Servo
  .SEG2_SERVO_REV 1   //Segment 2: Servo Reverse
  .SEG2_SERVO_SYMMETRICAL    //Segment 2: Servo for symmetrical side
  .SEG2_SERVO_REV_SYMMETRICAL 0   //Segment 2: Servo Reverse of symmetrical side
  .SEG3_CONTROL_CHORD_FRACTION 0.150000   //Segment 3: Control Chord Fraction
  .SEG3_MAX_DEFLECTION_ANGLE 20.000000   //Segment 3: Max Deflection Angle
  .SEG3_INCIDENCE_INC 0.800000   //Incidence of wing segment.
  .SEG3_DOF    //Segment 3: DOF
  .SEG3_DOF_SYMMETRICAL    //Segment 3: DOF of symmetrical side
  .SEG3_SERVO SERVO_AILERON_L   //Segment 3: Servo
  .SEG3_SERVO_REV 1   //Segment 3: Servo Reverse
  .SEG3_SERVO_SYMMETRICAL    //Segment 3: Servo for symmetrical side
  .SEG3_SERVO_REV_SYMMETRICAL 0   //Segment 3: Servo Reverse of symmetrical side
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.PROPELLER PROPELLER22
{
  .DESCRIPTION ""   //Description
  .NUMBER_OF_BLADES 2   //Number of blades in the propeller
  .DIAMETER 0.240000   //Diameter of propeller in meters
  .PITCH 0.168000   //Pitch of propeller in meters
  .CHORD_TO_DIAMETER_RATIO 0.100000   //Chord to diameter ratio (typically 0.075)
  .AIRFOIL "NACA0012.afl"   //Airfoil filename
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.WHEEL WHEEL_LEFT
{
  .DESCRIPTION ""   //Description
  .POSITION -0.300000 -0.070000 -0.170000   //Position
  .AXIS 1.000000 0.000000 0.000000   //Direction
  .DIAMETER 0.070000   //Diameter
  .WIDTH 0.020000   //Width
  .REST_LENGTH 0.050000   //Rest Length
  .SPRINGINESS 500.000000   //Springiness
  .DYNAMIC_FRICTION 0.075000   //Dynamic Friction
  .STATIC_FRICTION 0.750000   //Static Friction
  .DAMPING 0.320000   //Damping
  .MASS 0.030000   //Mass
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.WHEEL WHEEL_RIGHT
{
  .DESCRIPTION ""   //Description
  .POSITION 0.300000 -0.070000 -0.170000   //Position
  .AXIS 1.000000 0.000000 0.000000   //Direction
  .DIAMETER 0.070000   //Diameter
  .WIDTH 0.020000   //Width
  .REST_LENGTH 0.050000   //Rest Length
  .SPRINGINESS 500.000000   //Springiness
  .DYNAMIC_FRICTION 0.075000   //Dynamic Friction
  .STATIC_FRICTION 0.750000   //Static Friction
  .DAMPING 0.320000   //Damping
  .MASS 0.030000   //Mass
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.WHEEL WHEEL_TAIL
{
  .DESCRIPTION ""   //Description
  .POSITION 0.000000 0.042320 0.826205   //Position
  .AXIS 1.000000 0.000000 0.000000   //Direction
  .DIAMETER 0.050000   //Diameter
  .WIDTH 0.018000   //Width
  .REST_LENGTH 0.000000   //Rest Length
  .SPRINGINESS 500.000000   //Springiness
  .DYNAMIC_FRICTION 0.075000   //Dynamic Friction
  .STATIC_FRICTION 0.750000   //Static Friction
  .DAMPING 0.320000   //Damping
  .MASS 0.000000   //Mass
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.COLLISION_POINT CP_LEFT_WINGTIP
{
  .POSITION -0.700000 0.060000 0.000000   //Position
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.COLLISION_POINT CP_RIGHT_WINGTIP
{
  .POSITION 0.700000 0.060000 0.000000   //Position
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.COLLISION_POINT CP_PROPELLER
{
  .POSITION 0.000000 0.010459 -0.345854   //Position
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.BATTERY BATTERY22
{
  .DESCRIPTION ""   //Description
  .POSITION 0.000000 0.123000 0.000000   //Position
  .MASS 0.144000   //Mass
  .CAPACITY 0.650000   //Capacity (Ah)
  .NUM_CELLS 4   //Number of Cells
}

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
.FUEL_TANK FUEL_TANK22
{
  .DESCRIPTION ""   //Description
  .POSITION 0.000000 0.087400 -0.256243   //Position
  .MASS_WHEN_EMPTY 0.030000   //Mass when empty
  .CAPACITY 0.250000   //Capacity (litres)
}
